Subject: Re: bug#43165: [PATCH] Add load this file lisp function.

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Sep 2020 03:52:27 +0200

Stefan Kangas <[email-masked]> writes:

> I agree that we should not add this.  Or we would start adding '-this-'
> versions for every command that asks for a file.  (Can we see some hands
> for `M-x find-this-file'? ;-))

The other thing is that loading the current file is something you'd
seldom do -- you just say `M-x eval-buffer' instead.  (And that function
used to be called, funnily enough, `eval-current-buffer'.  OK, it'd have
been funnier if it had been `eval-this-buffer'.)

So I don't think adding this command would be generally useful, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no